gr::baz::colouriser Class Referenceabstract

Detect the peak of a signal. More...

`#include <baz_colouriser.h>`

Inheritance diagram for gr::baz::colouriser:
[legend]

## Public Types

typedef boost::shared_ptr< colouriser > | sptr

## Public Member Functions

virtual void | set_dyn_rng (float dyn_rng)=0
virtual void | set_ref_lvl (float ref_lvl)=0

## Static Public Member Functions

static sptr | make (float ref_lvl=1.0, float dyn_rng=1.0, int vlen_in=1, bool verbose=false)

## Detailed Description

Detect the peak of a signal.

If a peak is detected, this block outputs a 1, or it outputs 0's.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<colouriser> gr::baz::colouriser::sptr

## Member Function Documentation

## make()

static sptr gr::baz::colouriser::make | ( | float | ref_lvl = `1.0`,
|  | float | dyn_rng = `1.0`,
|  | int | vlen_in = `1`,
|  | bool | verbose = `false`
| ) |  |

static

## set_dyn_rng()

virtual void gr::baz::colouriser::set_dyn_rng | ( | float | dyn_rng | ) |

pure virtual

## set_ref_lvl()

virtual void gr::baz::colouriser::set_ref_lvl | ( | float | ref_lvl | ) |

pure virtual

The documentation for this class was generated from the following file:

- baz_colouriser.h